OPENSSL_INIT_SSL(3)

NAME
OPENSSL_init_ssl - initialise the crypto and ssl libraries

SYNOPSIS
#include <openssl/ssl.h>
int
OPENSSL_init_ssl(uint64_t options, const void *dummy);

DESCRIPTION
OPENSSL_init_ssl() calls OPENSSL_init_crypto(3) and also allocates various resources used internally by the ssl library.

Calling it is never useful because it is automatically called internally when needed.

The options argument is passed on to OPENSSL_init_crypto(3) and the dummy argument is ignored.

If this function is called more than once, none of the calls except the first one have any effect.

RETURN VALUES
OPENSSL_init_ssl() is intended to return 1 on success or 0 on error.

SEE ALSO
CONF_modules_load_file(3), OPENSSL_init_crypto(3)

HISTORY
OPENSSL_init_ssl() first appeared in OpenSSL 1.1.0 and has been available since OpenBSD 6.3.

BUGS
OPENSSL_init_ssl() silently ignores even more configuration failures than OPENSSL_init_crypto(3).